## erlang-p1-acme 1.0.3

=== Makefile ===
REBAR=./rebar

all: src

src:
	$(REBAR) get-deps compile

clean:
	$(REBAR) clean

distclean: clean
	rm -f config.status
	rm -f config.log
	rm -rf autom4te.cache
	rm -rf deps
	rm -rf ebin
	rm -rf priv
	rm -f vars.config
	rm -f erl_crash.dump
	rm -f compile_commands.json
	rm -rf dialyzer

test: all
	$(REBAR) -v skip_deps=true eunit

xref: all
	$(REBAR) skip_deps=true xref

deps := $(wildcard deps/*/ebin)

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps kernel stdlib erts ssl \
	                              inets public_key crypto; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/deps.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/deps.plt \
	-o dialyzer/deps.log $(deps); \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/p1_acme.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/p1_acme.plt \
	-o dialyzer/p1_acme.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

deps_plt: dialyzer/deps.plt
	@dialyzer --plt dialyzer/deps.plt --check_plt -o dialyzer/deps.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

p1_acme_plt: dialyzer/p1_acme.plt
	@dialyzer --plt dialyzer/p1_acme.plt --check_plt -o dialyzer/p1_acme.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt deps_plt p1_acme_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -Wunmatched_returns -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all dialyzer erlang_plt deps_plt p1_acme_plt

=== debian/changelog ===
erlang-p1-acme (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 21:01:54 +0100

erlang-p1-acme (1.0.2-2) unstable; urgency=medium

  * Source-only upload.

 -- Philipp Huebner <debalance@debian.org>  Thu, 14 Nov 2019 19:18:21 +0100

erlang-p1-acme (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #944532)

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 16:15:34 +0100

=== debian/control ===
Source: erlang-p1-acme
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-base64url (>= 1.0),
               erlang-crypto,
               erlang-eunit,
               erlang-idna (>= 6.0.0),
               erlang-jiffy (>= 1.0.1),
               erlang-jose (>= 1.9.0),
               erlang-p1-utils (>= 1.0.17),
               erlang-p1-yconf (>= 1.0.2),
               erlang-p1-yaml (>= 1.0.22),
               erlang-syntax-tools,
               erlang-unicode-util-compat (>= 0.3.1)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme.git
Homepage: https://github.com/processone/p1_acme

Package: erlang-p1-acme
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-base64url (>= 1.0),
         erlang-idna (>= 6.0.0),
         erlang-jiffy (>= 1.0.1),
         erlang-jose (>= 1.9.0),
         erlang-p1-utils (>= 1.0.17),
         erlang-p1-yconf (>= 1.0.2),
         erlang-p1-yaml (>= 1.0.22),
         erlang-unicode-util-compat (>= 0.3.1)
Description: ACME client library for Erlang
 This Erlang library provides an ACME client implementing RFC 8555.
 It was written for ejabberd which still uses it. It was split off into its
 own project to follow Erlang/OTP guidelines.

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-acme_$1.tar.gz/" \
  https://github.com/processone/p1_acme/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-acme 1.0.8

=== debian/changelog ===
erlang-p1-acme (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 18:14:41 +0200

erlang-p1-acme (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:32:30 +0200

erlang-p1-acme (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Apr 2020 09:50:01 +0200

erlang-p1-acme (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 13:57:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                erlang-crypto,
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-jiffy (>= 1.0.1),
+               erlang-jiffy (>= 1.0.5),
                erlang-jose (>= 1.9.0),
-               erlang-p1-utils (>= 1.0.17),
-               erlang-p1-yconf (>= 1.0.2),
-               erlang-p1-yaml (>= 1.0.22),
+               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-yconf (>= 1.0.7),
+               erlang-p1-yaml (>= 1.0.27),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
 Standards-Version: 4.5.0
@@ -31,11 +31,11 @@
          ${erlang:Depends},
          erlang-base64url (>= 1.0),
          erlang-idna (>= 6.0.0),
-         erlang-jiffy (>= 1.0.1),
+         erlang-jiffy (>= 1.0.5),
          erlang-jose (>= 1.9.0),
-         erlang-p1-utils (>= 1.0.17),
-         erlang-p1-yconf (>= 1.0.2),
-         erlang-p1-yaml (>= 1.0.22),
+         erlang-p1-utils (>= 1.0.20),
+         erlang-p1-yconf (>= 1.0.7),
+         erlang-p1-yaml (>= 1.0.27),
          erlang-unicode-util-compat (>= 0.3.1)
 Description: ACME client library for Erlang
  This Erlang library provides an ACME client implementing RFC 8555.

## erlang-p1-acme 1.0.11

=== debian/changelog ===
erlang-p1-acme (1.0.11-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:41:27 +0100

erlang-p1-acme (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Added 'Multi-Arch: same' in debian/control
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 19:14:52 +0100

erlang-p1-acme (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-acme.install

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-base64url (>= 1.0),
@@ -13,12 +13,12 @@
                erlang-idna (>= 6.0.0),
                erlang-jiffy (>= 1.0.5),
                erlang-jose (>= 1.9.0),
-               erlang-p1-utils (>= 1.0.20),
-               erlang-p1-yconf (>= 1.0.7),
-               erlang-p1-yaml (>= 1.0.27),
+               erlang-p1-utils (>= 1.0.21),
+               erlang-p1-yconf (>= 1.0.10),
+               erlang-p1-yaml (>= 1.0.30),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme.git
 Homepage: https://github.com/processone/p1_acme
@@ -33,10 +33,11 @@
          erlang-idna (>= 6.0.0),
          erlang-jiffy (>= 1.0.5),
          erlang-jose (>= 1.9.0),
-         erlang-p1-utils (>= 1.0.20),
-         erlang-p1-yconf (>= 1.0.7),
-         erlang-p1-yaml (>= 1.0.27),
+         erlang-p1-utils (>= 1.0.21),
+         erlang-p1-yconf (>= 1.0.10),
+         erlang-p1-yaml (>= 1.0.30),
          erlang-unicode-util-compat (>= 0.3.1)
+Multi-Arch: allowed
 Description: ACME client library for Erlang
  This Erlang library provides an ACME client implementing RFC 8555.
  It was written for ejabberd which still uses it. It was split off into its

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-acme_$1.tar.gz/" \
  https://github.com/processone/p1_acme/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-acme 1.0.13

=== debian/changelog ===
erlang-p1-acme (1.0.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 19:40:20 +0200

erlang-p1-acme (1.0.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Philipp Huebner ]
  * New upstream version 1.0.13
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 22:10:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
-               erlang-base64url (>= 1.0),
+               erlang-base64url,
                erlang-crypto,
                erlang-eunit,
                erlang-idna (>= 6.0.0),
                erlang-jiffy (>= 1.0.5),
-               erlang-jose (>= 1.9.0),
-               erlang-p1-utils (>= 1.0.21),
+               erlang-jose,
+               erlang-p1-utils (>= 1.0.23),
                erlang-p1-yconf (>= 1.0.10),
-               erlang-p1-yaml (>= 1.0.30),
+               erlang-p1-yaml (>= 1.0.32),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme.git
 Homepage: https://github.com/processone/p1_acme
@@ -33,9 +33,9 @@
          erlang-idna (>= 6.0.0),
          erlang-jiffy (>= 1.0.5),
          erlang-jose (>= 1.9.0),
-         erlang-p1-utils (>= 1.0.21),
+         erlang-p1-utils (>= 1.0.23),
          erlang-p1-yconf (>= 1.0.10),
-         erlang-p1-yaml (>= 1.0.30),
+         erlang-p1-yaml (>= 1.0.32),
          erlang-unicode-util-compat (>= 0.3.1)
 Multi-Arch: allowed
 Description: ACME client library for Erlang

## erlang-p1-acme 1.0.16

=== debian/changelog ===
erlang-p1-acme (1.0.16-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 1.0.16
  * Updated Erlang dependencies
  * Updated debian/watch

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 19:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar,
-               erlang-base (>= 1:19.2),
-               erlang-base64url,
+               erlang-base,
+               erlang-base64url (>= 1.0.1),
                erlang-crypto,
                erlang-eunit,
                erlang-idna (>= 6.0.0),
                erlang-jiffy (>= 1.0.5),
-               erlang-jose,
+               erlang-jose (>= 1.11.1),
                erlang-p1-utils (>= 1.0.23),
-               erlang-p1-yconf (>= 1.0.10),
+               erlang-p1-yconf (>= 1.0.12),
                erlang-p1-yaml (>= 1.0.32),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
@@ -27,14 +27,14 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-base64url (>= 1.0),
+         erlang-base64url (>= 1.0.1),
          erlang-idna (>= 6.0.0),
          erlang-jiffy (>= 1.0.5),
-         erlang-jose (>= 1.9.0),
+         erlang-jose (>= 1.11.1),
          erlang-p1-utils (>= 1.0.23),
-         erlang-p1-yconf (>= 1.0.10),
+         erlang-p1-yconf (>= 1.0.12),
          erlang-p1-yaml (>= 1.0.32),
          erlang-unicode-util-compat (>= 0.3.1)
 Multi-Arch: allowed

## erlang-p1-acme 1.0.19

=== debian/changelog ===
erlang-p1-acme (1.0.19-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 12 Jun 2022 00:40:38 +0200

erlang-p1-acme (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 13:01:34 +0200

=== debian/control ===
Source: erlang-p1-acme
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6~),
               erlang-base,
               erlang-base64url (>= 1.0.1),
               erlang-crypto,
               erlang-eunit,
               erlang-idna (>= 6.0.0),
               erlang-jiffy (>= 1.1.1),
               erlang-jose (>= 1.11.1),
               erlang-p1-utils (>= 1.0.25),
               erlang-p1-yconf (>= 1.0.13),
               erlang-p1-yaml (>= 1.0.33),
               erlang-syntax-tools,
               erlang-unicode-util-compat (>= 0.3.1)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme.git
Homepage: https://github.com/processone/p1_acme

Package: erlang-p1-acme
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-base64url (>= 1.0.1),
         erlang-idna (>= 6.0.0),
         erlang-jiffy (>= 1.1.1),
         erlang-jose (>= 1.11.1),
         erlang-p1-utils (>= 1.0.25),
         erlang-p1-yconf (>= 1.0.13),
         erlang-p1-yaml (>= 1.0.33),
         erlang-unicode-util-compat (>= 0.3.1)
Multi-Arch: allowed
Description: ACME client library for Erlang
 This Erlang library provides an ACME client implementing RFC 8555.
 It was written for ejabberd which still uses it. It was split off into its
 own project to follow Erlang/OTP guidelines.

## erlang-p1-acme 1.0.20

=== debian/changelog ===
erlang-p1-acme (1.0.20-1) unstable; urgency=medium

  * New upstream version 1.0.20
  * Updated Erlang dependencies
  * Refreshed debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 15:24:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6~),
+               dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-base64url (>= 1.0.1),
                erlang-crypto,
@@ -14,8 +14,8 @@
                erlang-jiffy (>= 1.1.1),
                erlang-jose (>= 1.11.1),
                erlang-p1-utils (>= 1.0.25),
-               erlang-p1-yconf (>= 1.0.13),
-               erlang-p1-yaml (>= 1.0.33),
+               erlang-p1-yconf (>= 1.0.14),
+               erlang-p1-yaml (>= 1.0.34),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
 Standards-Version: 4.6.1
@@ -34,8 +34,8 @@
          erlang-jiffy (>= 1.1.1),
          erlang-jose (>= 1.11.1),
          erlang-p1-utils (>= 1.0.25),
-         erlang-p1-yconf (>= 1.0.13),
-         erlang-p1-yaml (>= 1.0.33),
+         erlang-p1-yconf (>= 1.0.14),
+         erlang-p1-yaml (>= 1.0.34),
          erlang-unicode-util-compat (>= 0.3.1)
 Multi-Arch: allowed
 Description: ACME client library for Erlang

## erlang-p1-acme 1.0.22

=== debian/changelog ===
erlang-p1-acme (1.0.22-2) unstable; urgency=medium

  * Updated lintian overrides
  * Dropped debian/erlang-p1-acme.install
  * Renamed debian/erlang-p1-acme.lintian-overrides
    -> debian/lintian-overrides
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:55:47 +0100

erlang-p1-acme (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Refreshed patches
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 21:29:16 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                erlang-eunit,
                erlang-idna (>= 6.0.0),
                erlang-jiffy (>= 1.1.1),
-               erlang-jose (>= 1.11.1),
+               erlang-jose (>= 1.11.5),
                erlang-p1-utils (>= 1.0.25),
-               erlang-p1-yconf (>= 1.0.14),
-               erlang-p1-yaml (>= 1.0.34),
+               erlang-p1-yconf (>= 1.0.15),
+               erlang-p1-yaml (>= 1.0.36),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme.git
 Homepage: https://github.com/processone/p1_acme
@@ -32,10 +32,10 @@
          erlang-base64url (>= 1.0.1),
          erlang-idna (>= 6.0.0),
          erlang-jiffy (>= 1.1.1),
-         erlang-jose (>= 1.11.1),
+         erlang-jose (>= 1.11.5),
          erlang-p1-utils (>= 1.0.25),
-         erlang-p1-yconf (>= 1.0.14),
-         erlang-p1-yaml (>= 1.0.34),
+         erlang-p1-yconf (>= 1.0.15),
+         erlang-p1-yaml (>= 1.0.36),
          erlang-unicode-util-compat (>= 0.3.1)
 Multi-Arch: allowed
 Description: ACME client library for Erlang

## erlang-p1-acme 1.0.23

=== debian/changelog ===
erlang-p1-acme (1.0.23-1) unstable; urgency=medium

  * New upstream version 1.0.23
  * Updated Erlang dependencies
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:35:58 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                erlang-eunit,
                erlang-idna (>= 6.0.0),
                erlang-jiffy (>= 1.1.1),
-               erlang-jose (>= 1.11.5),
-               erlang-p1-utils (>= 1.0.25),
-               erlang-p1-yconf (>= 1.0.15),
-               erlang-p1-yaml (>= 1.0.36),
+               erlang-jose (>= 1.11.10),
+               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-yconf (>= 1.0.16),
+               erlang-p1-yaml (>= 1.0.37),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
 Standards-Version: 4.6.2
@@ -32,10 +32,10 @@
          erlang-base64url (>= 1.0.1),
          erlang-idna (>= 6.0.0),
          erlang-jiffy (>= 1.1.1),
-         erlang-jose (>= 1.11.5),
-         erlang-p1-utils (>= 1.0.25),
-         erlang-p1-yconf (>= 1.0.15),
-         erlang-p1-yaml (>= 1.0.36),
+         erlang-jose (>= 1.11.10),
+         erlang-p1-utils (>= 1.0.26),
+         erlang-p1-yconf (>= 1.0.16),
+         erlang-p1-yaml (>= 1.0.37),
          erlang-unicode-util-compat (>= 0.3.1)
 Multi-Arch: allowed
 Description: ACME client library for Erlang

## erlang-p1-acme 1.0.25

=== debian/changelog ===
erlang-p1-acme (1.0.25-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Apr 2025 12:23:26 +0200

erlang-p1-acme (1.0.25-1) unstable; urgency=medium

  * New upstream version 1.0.25
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Removed debian/patches/ because it is no longer needed

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:26:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6),
+               dh-rebar (>= 0.0.6~),
                erlang-base,
                erlang-base64url (>= 1.0.1),
                erlang-crypto,
@@ -14,11 +14,11 @@
                erlang-jiffy (>= 1.1.1),
                erlang-jose (>= 1.11.10),
                erlang-p1-utils (>= 1.0.26),
-               erlang-p1-yconf (>= 1.0.16),
+               erlang-p1-yconf (>= 1.0.17),
                erlang-p1-yaml (>= 1.0.37),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-acme.git
 Homepage: https://github.com/processone/p1_acme
@@ -34,7 +34,7 @@
          erlang-jiffy (>= 1.1.1),
          erlang-jose (>= 1.11.10),
          erlang-p1-utils (>= 1.0.26),
-         erlang-p1-yconf (>= 1.0.16),
+         erlang-p1-yconf (>= 1.0.17),
          erlang-p1-yaml (>= 1.0.37),
          erlang-unicode-util-compat (>= 0.3.1)
 Multi-Arch: allowed

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-acme_$1.tar.gz/" \
  https://github.com/processone/p1_acme/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-acme 1.0.30

=== debian/changelog ===
erlang-p1-acme (1.0.30-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 18:40:49 +0000

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/p1_acme
